Update webhook

Update webhook attributes.

Authentication

Authorizationstring
Every request made to `https://api.uploadcare.com/` MUST be signed. HTTPS SHOULD be used with any authorization scheme. Requests MUST contain the `Authorization` header defining `auth-scheme` and `auth-param`: `Authorization: auth-scheme auth-param`. Every request MUST contain the `Accept` header identifying the REST API version: `Accept: application/vnd.uploadcare-v0.7+json`. There are two available authorization schemes: * For production: `Uploadcare`, a scheme where a `signature`, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. * For quick tests: `Uploadcare.Simple`, a simple scheme where your [Secret API Key](https://app.uploadcare.com/projects/-/api-keys/) MUST be specified in every request's `auth-param`.

Path parameters

idintegerRequired
Webhook ID.

Headers

AcceptstringRequired
Version header.

Request

This endpoint expects an object.
target_urlstringOptionalformat: "uri"<=255 characters

A URL that is triggered by an event, for example, a file upload. A target URL MUST be unique for each projectevent type combination.

eventenumOptional
An event you subscribe to.
Allowed values:
is_activebooleanOptionalDefaults to true

Marks a subscription as either active or not, defaults to true, otherwise false.

signing_secretstringOptionalformat: "password"<=32 characters
Optional [HMAC/SHA-256](https://en.wikipedia.org/wiki/HMAC) secret that, if set, will be used to calculate signatures for the webhook payloads sent to the `target_url`. Calculated signature will be sent to the `target_url` as a value of the `X-Uc-Signature` HTTP header. The header will have the following format: `X-Uc-Signature: v1=<HMAC-SHA256-HEX-DIGEST>`. See [Secure Webhooks](https://uploadcare.com/docs/webhooks/#signed-webhooks) for details.

Response

Webhook attributes successfully updated.
idinteger
Webhook's ID.
projectinteger
Project ID the webhook belongs to.
createddatetime

date-time when a webhook was created.

updateddatetime

date-time when a webhook was updated.

eventenum
An event you subscribe to.
Allowed values:
target_urlstringformat: "uri"<=255 characters

A URL that is triggered by an event, for example, a file upload. A target URL MUST be unique for each projectevent type combination.

is_activebooleanDefaults to true

Marks a subscription as either active or not, defaults to true, otherwise false.

versionenum
Webhook payload's version.
Allowed values:
signing_secretstringformat: "password"<=32 characters

Optional HMAC/SHA-256 secret that, if set, will be used to calculate signatures for the webhook payloads sent to the target_url.

Calculated signature will be sent to the target_url as a value of the X-Uc-Signature HTTP header. The header will have the following format: X-Uc-Signature: v1=<HMAC-SHA256-HEX-DIGEST>. See Secure Webhooks for details.

Errors

401
Unauthorized Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error